Debian Bug report logs - #624921
mediatomb: FTBFS: ../src/zmm/object.h:51:32: error: declaration of 'operator new' as non-function

version graph

Package: src:mediatomb; Maintainer for src:mediatomb is Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Mon, 2 May 2011 12:47:32 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version mediatomb/0.12.1-2

Fixed in versions 0.12.1-2+rm, mediatomb/0.12.1-3

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#624921; Package src:mediatomb. (Mon, 02 May 2011 12:47:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 02 May 2011 12:47:34 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: mediatomb: FTBFS: ../src/zmm/object.h:51:32: error: declaration of 'operator new' as non-function
Date: Mon, 2 May 2011 14:35:20 +0200
Source: mediatomb
Version: 0.12.1-2
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110502 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> g++ -DHAVE_CONFIG_H -I. -I.. -I../tombupnp/upnp/inc    -I../src -I../tombupnp/ixml/inc -I../tombupnp/threadutil/inc -I../tombupnp/upnp/inc -I..  -I/usr/include/mysql  -DBIG_JOINS=1  -fno-strict-aliasing   -DUNIV_LINUX -DUNIV_LINUX -I/usr/include/mozjs -I/usr/include/taglib       -pthread        -Wall -g -O2 -MT libmediatomb_a-autoscan.o -MD -MP -MF .deps/libmediatomb_a-autoscan.Tpo -c -o libmediatomb_a-autoscan.o `test -f '../src/autoscan.cc' || echo './'`../src/autoscan.cc
> In file included from ../src/zmm/zmm.h:37:0,
>                  from ../src/zmmf/zmmf.h:35,
>                  from ../src/autoscan.h:36,
>                  from ../src/autoscan.cc:36:
> ../src/zmm/object.h:51:32: error: declaration of 'operator new' as non-function
> ../src/zmm/object.h:51:27: error: expected ';' at end of member declaration
> ../src/zmm/object.h:51:39: error: expected ')' before 'size'
> make[3]: *** [libmediatomb_a-autoscan.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/05/02/mediatomb_0.12.1-2_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#624921; Package src:mediatomb. (Thu, 26 May 2011 23:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Thu, 26 May 2011 23:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 624921@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: 624921@bugs.debian.org, control@bugs.debian.org
Subject: Patch for mediatomb FTBFS
Date: Thu, 26 May 2011 23:09:20 +0000
[Message part 1 (text/plain, inline)]
tags 624921 + patch
kthxbye

This patch makes mediatomb #include <cstddef> instead of <new> to get
size_t and therefore fixes the FTBFS.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 26 May 2011 23:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#624921; Package src:mediatomb. (Sun, 10 Jul 2011 16:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnout Engelen <arnouten@bzzt.net>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sun, 10 Jul 2011 16:27:07 GMT) Full text and rfc822 format available.

Message #17 received at 624921@bugs.debian.org (full text, mbox):

From: Arnout Engelen <arnouten@bzzt.net>
To: 624921@bugs.debian.org
Subject: How do I reproduce this?
Date: Sun, 10 Jul 2011 18:08:02 +0200
Hi,

From the error message, it's not quite obvious to me that that'd fix the error,
and I don't see the error here myself. Is there a way I can easily reproduce 
it?


Arnout




Added indication that bug 624921 blocks 654237 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 03 Jan 2012 07:22:02 GMT) Full text and rfc822 format available.

Removed indication that bug 624921 blocks 654237 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 03 Jan 2012 08:21:12 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 03 Mar 2012 19:28:13 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 03 Mar 2012 19:28:13 GMT) Full text and rfc822 format available.

Message #26 received at 624921-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 503677-done@bugs.debian.org,509918-done@bugs.debian.org,534504-done@bugs.debian.org,542627-done@bugs.debian.org,555594-done@bugs.debian.org,562858-done@bugs.debian.org,562860-done@bugs.debian.org,572701-done@bugs.debian.org,589208-done@bugs.debian.org,600025-done@bugs.debian.org,604960-done@bugs.debian.org,606804-done@bugs.debian.org,624921-done@bugs.debian.org,631046-done@bugs.debian.org,633803-done@bugs.debian.org,642578-done@bugs.debian.org,652534-done@bugs.debian.org,661149-done@bugs.debian.org,631784-done@bugs.debian.org,
Cc: mediatomb@packages.debian.org, mediatomb@packages.qa.debian.org
Subject: Bug#662020: Removed package(s) from unstable
Date: Sat, 03 Mar 2012 19:26:55 +0000
Version: 0.12.1-2+rm

Dear submitter,

as the package mediatomb has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/662020

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#624921; Package src:mediatomb. (Sat, 03 Mar 2012 20:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sat, 03 Mar 2012 20:48:03 GMT) Full text and rfc822 format available.

Message #31 received at 624921@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 662020@bugs.debian.org, 652534@bugs.debian.org, 624921@bugs.debian.org, 631046@bugs.debian.org
Subject: mediatomb: diff for NMU version 0.12.1-2.1
Date: Sat, 3 Mar 2012 21:37:56 +0100
[Message part 1 (text/plain, inline)]
Package: mediatomb
Version: 0.12.1-2
Severity: normal
Tags: patch pending

Dear maintainer,

I've prepared an NMU for mediatomb (versioned as 0.12.1-2.1) and
I had no plans to upload. 

I fixed the FTBFS, but I had to disable libjs to fix the build, maybe someone with proper JS knowledge can have a look to it.

Please dont remove the package from the archive... doh! I think I am late for that now.

Regards.

-- 
  Hector Oron
[mediatomb-0.12.1-2.1-nmu.diff (text/x-diff, attachment)]

Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Mon, 12 Mar 2012 21:57:08 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 12 Mar 2012 21:57:12 GMT) Full text and rfc822 format available.

Message #36 received at 624921-close@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 624921-close@bugs.debian.org
Subject: Bug#624921: fixed in mediatomb 0.12.1-3
Date: Mon, 12 Mar 2012 21:48:45 +0000
Source: mediatomb
Source-Version: 0.12.1-3

We believe that the bug you reported is fixed in the latest version of
mediatomb, which is due to be installed in the Debian FTP archive:

mediatomb-common_0.12.1-3_i386.deb
  to main/m/mediatomb/mediatomb-common_0.12.1-3_i386.deb
mediatomb-daemon_0.12.1-3_all.deb
  to main/m/mediatomb/mediatomb-daemon_0.12.1-3_all.deb
mediatomb_0.12.1-3.debian.tar.gz
  to main/m/mediatomb/mediatomb_0.12.1-3.debian.tar.gz
mediatomb_0.12.1-3.dsc
  to main/m/mediatomb/mediatomb_0.12.1-3.dsc
mediatomb_0.12.1-3_all.deb
  to main/m/mediatomb/mediatomb_0.12.1-3_all.deb
mediatomb_0.12.1.orig.tar.gz
  to main/m/mediatomb/mediatomb_0.12.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 624921@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Oron <zumbi@debian.org> (supplier of updated mediatomb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 11 Mar 2012 15:18:01 +0100
Source: mediatomb
Binary: mediatomb-common mediatomb-daemon mediatomb
Architecture: source i386 all
Version: 0.12.1-3
Distribution: unstable
Urgency: low
Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Hector Oron <zumbi@debian.org>
Description: 
 mediatomb  - UPnP MediaServer (main package)
 mediatomb-common - UPnP MediaServer (base package)
 mediatomb-daemon - UPnP MediaServer (daemon package)
Closes: 509918 555594 572701 589208 624921 631046 642578 652534 661149 663456
Changes: 
 mediatomb (0.12.1-3) unstable; urgency=low
 .
   [ Arnout Engelen ]
   * Build with recent versions of ffmpeg. (Closes: #509918, #589208)
   * Force removal of old /etc/init.d/mediatomb scripts. Fixes #577619
 .
   [ Miguel Colon ]
   * Team upload.
   * Fix a FTBFS when using gcc-4.6. (Closes: #624921)
   * Fix a FTBFS by porting to spidermonkey 1.8:
     - Fix a failure to categorize media files with the new js.
     - Build depend on libmozjs185-dev instead of libmozjs-dev.
     - Add detection for -lmozjs185 during the configure script.
     - Use dh-autoreconf instead of patching the results of an old autoreconf.
     - (Closes: #652534, #631046, #642578, #661149)
   * Fixed upstream by adding -lz. (Closes: #555594)
   * Fixed upstream in svn r2034 and already in 0.12.1. (Closes: #572701)
   * Fix a FTBFS when using gcc-4.7.
   * Fix a crash triggered by files with length > 999 hours.
   * Most of the patches originate from the Fedora mediatomb maintainers. Thanks
     go to them.
 .
   [ Hector Oron ]
   * Drop -fpermissive from js_1.8_support.patch, as it makes unapply patches
     to fail after build has finalized.
   * Re-introduce mediatomb into Debian (Closes: #663456).
   * Add Miguel Colon and myself to uploaders.
Checksums-Sha1: 
 f5a131f8e0fc11458105647aa9b094c4fe684075 2451 mediatomb_0.12.1-3.dsc
 86e880584cc9c8aaf3926d56048510d1d06e76b4 1240612 mediatomb_0.12.1.orig.tar.gz
 e793e216f2c114b07eed67108414acfcfbca35bc 30290 mediatomb_0.12.1-3.debian.tar.gz
 3be634784dd2b8e1b124014b3f6a3783a19abc85 1026004 mediatomb-common_0.12.1-3_i386.deb
 3f3f71b964b30b2d351f178f5e6d92db3c820c8d 25818 mediatomb-daemon_0.12.1-3_all.deb
 049e19bf7c45efd662d51cac5035a833598f455b 23134 mediatomb_0.12.1-3_all.deb
Checksums-Sha256: 
 897c87194ed0824a7599c504380a94780eccee5a9471148edcc5eb4624c54d65 2451 mediatomb_0.12.1-3.dsc
 31163c34a7b9d1c9735181737cb31306f29f1f2a0335fb4f53ecccf8f62f11cd 1240612 mediatomb_0.12.1.orig.tar.gz
 f3799460c30100bccd97dba387586274668c2f4bcdb72c858d88235b4354bd76 30290 mediatomb_0.12.1-3.debian.tar.gz
 4781a5b70ebc078fa390fd647937d26e03100d16d70800214a9fc78515b998ba 1026004 mediatomb-common_0.12.1-3_i386.deb
 a1373613904fb5c27f63c5234e55111820b8b137ab371dc0ade253d2bd7a6210 25818 mediatomb-daemon_0.12.1-3_all.deb
 54f91ca132296635fbf17ff56cd4bd6fef4cd0c79db00a628a666d9a82fbd001 23134 mediatomb_0.12.1-3_all.deb
Files: 
 639c1a0734f5ba29b84ba5933042767d 2451 net optional mediatomb_0.12.1-3.dsc
 e927dd5dc52d3cfcebd8ca1af6f0d3c2 1240612 net optional mediatomb_0.12.1.orig.tar.gz
 912c736bdc71944de1892c8362abfc3d 30290 net optional mediatomb_0.12.1-3.debian.tar.gz
 af938a3512da0a165736b08724f0dc8f 1026004 net optional mediatomb-common_0.12.1-3_i386.deb
 7ddc2ef81109e8451ddc433434f27ad3 25818 net optional mediatomb-daemon_0.12.1-3_all.deb
 b65018d29c9b37e8d5b363d2f7bc38be 23134 net optional mediatomb_0.12.1-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJPXLmwAAoJEK8ig6p24qx7TVwQAIQonLIseFjFNJpYt5DOl8Rt
pjb26CPAbJPsgwOtUhqolfdVRNqdsm7dwmRLM83CnWwbHng4ItT9cHPKmgNn8W1+
c6PPnb2fIopEOxdyEQeoSvp5jyidXipolGLCWuDcRTeE+bLhTlcW9dVtgvSrqa3f
ykgYGW4mJYdREvZaWSKNc9jZ8abx+h+ZD5a9Yi0OUF7fheZDHJfa+uyHmLjeEBXg
Quq5z5xCXHBXM/qrmwuzQeWAt0M5e71WNsMVQ0gYoxd5Yq1QdCHXD9uXjlMx8Lqz
0BLoajNTTXIU/7qNfxUm8Yl3LSlLDMuttdBf49A1cWeRHTFBLJ3UKTUd8xjI/W/w
vnvrVnWtOC+GVCJ+g82ZYwxX9fpdEbNcM7/Rr2C46+L6agrsw3HCLtSBk7joxoR9
4GWkdLZVWnSLvbZDNh6hiYPYUNYP9JFYXp64jc5sVzEAjCoX2wH/UpYLa4WX9OSr
RsrucjajQRSg8wBrRGdrhAr8tmxrUkc5d53zWKBpPaBYffYrgeF/Jq2bpoTGu5f6
6qABWHhJN1xg4tFetvTm/yj6VqoBW9GjHNPZJT2xqLEhLyT4lzZSSIWANamd9q9r
uKq35QIg9X5/gsr8+bMwOdNxntcdvSvVL3eLsGH4AcHuZjhv1nWkIT6gA/TTn9kW
U7bg2UxTN//Y15PO5rzm
=qdF0
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 20 Apr 2012 07:32:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:00:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.